from typing import TypeVar, Protocol, Generic


P = TypeVar('P', str, bytes)


class DirEntryLike(Protocol, Generic[P]):

    def is_file(self, *, follow_symlinks=True) -> bool:
        raise NotImplementedError()

    @property
    def name(self) -> P:
        raise NotImplementedError()

    @property
    def path(self) -> P:
        raise NotImplementedError()

